Kodi Community Forum
[MAC] Compiling on OSX Lion / Xcode 4.1` - Printable Version

+- Kodi Community Forum (https://forum.kodi.tv)
+-- Forum: Development (https://forum.kodi.tv/forumdisplay.php?fid=32)
+--- Forum: Kodi Application (https://forum.kodi.tv/forumdisplay.php?fid=93)
+--- Thread: [MAC] Compiling on OSX Lion / Xcode 4.1` (/showthread.php?tid=107126)

Pages: 1 2 3 4 5 6 7 8 9 10


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-06-04

I'm just asking....


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-06-05

Well if you want to compile for 64bit you have to do everything from the start (but using a configure --with-darwin-osx --with-arch=x86_64 and a ARCHS=x86_64 in the xcodebuild command).

64bit can access > 4 GB RAM. Thats the only massive difference imho (some people state that 64bit code runs faster on 64bit hardware but i wouldn't sign that).


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-06-05

Thanks for your explanation Memphiz.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - barberio - 2012-06-11

(2012-06-05, 13:08)Memphiz Wrote: 64bit can access > 4 GB RAM. Thats the only massive difference imho (some people state that 64bit code runs faster on 64bit hardware but i wouldn't sign that).

32bit user-space code can't directly address ranges beyond the 32bit limit. But accessing things like memory that are abstracted by the operating system are fine. (Need to handle an array larger than 4GB in a user space 32 bit program? Partition it, use nested addressing.)

What 64 bit does do is that theoretically all operations that involve arrays all double in speed because of increased bandwidth in the MMX registers. Multimedia decoding usually uses a lot of array operations. In practice the gains are smaller than double, but they do exist.

Incidentally, is any work being done to make the build environment capable of building to both intel archs at the same time to allow for universal binary production without having to have two separate build areas and make the fat binaries by hand?


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-06-12

(2012-06-11, 11:30)barberio Wrote: 64bit user-space code can't directly address ranges beyond the 32bit limit.

Wrong. Run top on darwin, 64-bit apps have access to a much, much larger virtual memory space. 32-bit apps are limited to a 2GB virtual memory space. You can malloc huge arrays under a 64-bit app, not that it helps XBMC much to create huge arrays...


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - barberio - 2012-06-13

Typo.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-06-13

(2012-06-11, 11:30)barberio Wrote: Incidentally, is any work being done to make the build environment capable of building to both intel archs at the same time to allow for universal binary production without having to have two separate build areas and make the fat binaries by hand?

No, it's would be a pain in the ass with all the depends, specially with python and ffmpeg. It would be easier to wrap a makefile around xbmc/depends build and drive the build from there.

Plus it would be about 2X the size and we already push the size boundary at around 40MBs compressed.



RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-07-28

New error with the last nightly:

Code:
/bin/sh -c /Users/i5Js/xbmc/build/XBMC.build/Release/XBMC.build/Script-1D64E5FA157BD742001ACEBE.sh
ln: /Users/i5Js/xbmc/build/Release//XBMC.dSYM: Operation not permitted
Command /bin/sh failed with exit code 1


** BUILD FAILED **


The following build commands failed:
    PhaseScriptExecution genoutputdirlink build/XBMC.build/Release/XBMC.build/Script-1D64E5FA157BD742001ACEBE.sh
(1 failure)

Any help with this?

Thanks,

BR


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-07-28

quit xcode, restart it, clean all, build.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-07-28

rm -r /Users/i5Js/xbmc/build/Release/XBMC.dSYM and retry



RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-07-28

It have worked with Xcode GUI, but with cli:

Code:
kaya:xbmc i5Js$ xcodebuild -sdk macosx10.7 -project XBMC.xcodeproj -target XBMC.app ONLY_ACTIVE_ARCH=YES ARCHS=x86_64 VALID_ARCHS=x86_64  -configuration Release build
Build settings from command line:
    ARCHS = x86_64
    ONLY_ACTIVE_ARCH = YES
    SDKROOT = macosx10.7
    VALID_ARCHS = x86_64

=== BUILD NATIVE TARGET XBMC OF PROJECT XBMC WITH CONFIGURATION Release ===
Check dependencies


....



    /bin/sh -c /Users/i5Js/xbmc/build/XBMC.build/Release/XBMC.build/Script-1D64E5FA157BD742001ACEBE.sh
ln: /Users/i5Js/xbmc/build/Release//XBMC.dSYM: Operation not permitted
Command /bin/sh failed with exit code 1


** BUILD FAILED **


The following build commands failed:
    PhaseScriptExecution genoutputdirlink build/XBMC.build/Release/XBMC.build/Script-1D64E5FA157BD742001ACEBE.sh
(1 failure)



RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-04

@i5Js, I'm getting the same error. Attempting to debug it now, but figured I'd ask if you'd sorted it out?


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-08-04

are you both using xcodebuild from cmdline? Is this also an issue when using the Xcode GUI?


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-04

Yes, I am using xcodebuild. It's not an issue with the GUI.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-04

If it helps, I'm building it all like so, on MacOS X 10.8, Xcode 4.4, with the 10.6 SDK symlinked from the old Xcode 4.3.2 installation. Everything seems to go fine until the end of the xcodebuild.

Code:
#! /bin/sh -x

fail() {
        [ -n "%1" ] && echo "$1" 1>&2
        exit 1
}

pushd tools/darwin/depends
( ./bootstrap && ./configure --with-darwin=osx --with-arch=i386 --with-sdk=10.6 ) || fail "CONFIGURE FAILED FOR osx-depends."
[ "$1" == "clean" ] && ( echo make clean || fail "CLEAN FAILED FOR osx-depends." )
[ "$1" == "distclean" ] && ( echo make distclean || fail "DISTCLEAN FAILED FOR osx-depends." )
make || fail "BUILD FAILED FOR osx-depends."
popd

# for CrystalHD support
cp -v /usr/lib/libcrystalhd.dylib /usr/lib/bcm70012fw.bin /usr/lib/bcm70015fw.bin /Users/Shared/xbmc-depends/macosx10.6_i386/lib/
cp -Rv /usr/include/libcrystalhd /Users/Shared/xbmc-depends/macosx10.6_i386/include/

make -C tools/darwin/depends/xbmc || fail "CONFIGURE FAILED."

[ "$1" == "clean" -o "$1" == "distclean" ] && make clean

export XBMC_HOME="$HOME/dev/xbmc"
make xcode_depends || fail "BUILD FAILED FOR xcode_depends."
xcodebuild -sdk macosx10.6 -project XBMC.xcodeproj -target XBMC.app ONLY_ACTIVE_ARCH=YES ARCHS=i386 VALID_ARCHS=i386 -configuration Release build || fail "xcodebuild FAILED."

make -C tools/darwin/packaging/xbmc-osx